#include <sstream>
#include "Teacher.h"

Teacher::Teacher(const Person &person, const std::string &job, const std::string &department) :
        Person(person), job(job), department(department) {}

Teacher::Teacher(const Teacher &teacher) : department(teacher.department), job(teacher.job), Person(teacher) {}

std::string Teacher::toString() {
    std::stringstream output;
    output << Person::toString() + '\n'
           << "部门：" << department << '\n'
           << "职务" << job << '\n';

    return output.str();
}