#include <sstream>
#include "TeachAssistant.h"

TeachAssistant::TeachAssistant(int classId, const Person &person, const std::string &subject, const Teacher &adviser,
                               const std::string &job, const std::string &department)
        : Graduate(classId, person, subject, adviser), Teacher(person, job, department), Person(person) {}

std::string TeachAssistant::toString() {
    std::stringstream output;
    output << "[研究生身份信息]" << '\n'
           << Graduate::toString() << '\n'
           << "[教师身份信息]" << '\n'
           << Teacher::toString();
    return output.str();
}